editors/gtranslator - The NetBSD Packages Collection

Gettext po file editor for the GNOME desktop environment

gtranslator is an enhanced gettext po file editor for the GNOME2
desktop environment. It handles all forms of gettext po files like
compiled gettext po files (gmo/mo files), compressed po files
(po.gz/po.bz2 etc.) and features many comfortable everyday usage
features like Find/Replace, Auto Translation, Message Translation
Learning, Messages Table (for having an overview of the
translations/messages in the po file), Easy navigation and editing
of translation messages & comments of the translation where accurate.
It has got really very much to offer therefore you should simply
test it and be happy with it!

Build dependencies

devel/meson pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers textproc/itstool devel/gettext-tools devel/glib2-tools textproc/intltool devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

databases/libgda devel/glib2 textproc/libxml2 devel/gdl x11/gtk3 devel/gettext-tools devel/libpeas textproc/iso-codes textproc/gspell x11/gtksourceview4 graphics/hicolor-icon-theme sysutils/desktop-file-utils sysutils/gsettings-desktop-schemas lang/python38 lang/python38 databases/libgda devel/glib2 textproc/libxml2 devel/gdl x11/gtk3 devel/libpeas textproc/gspell x11/gtksourceview4 graphics/hicolor-icon-theme sysutils/desktop-file-utils

Available binary packages

aarch64:gtranslator-3.32.1nb4.tgz(NetBSD 9.0)
aarch64:gtranslator-3.32.1nb5.tgz(NetBSD 9.0)
aarch64:gtranslator-3.32.1nb7.tgz(NetBSD 9.0)
earmv6hf:gtranslator-3.32.1nb7.tgz(NetBSD 9.0)
earmv6hf:gtranslator-3.32.1nb4.tgz(NetBSD 9.0)
earmv6hf:gtranslator-3.32.1nb5.tgz(NetBSD 9.0)
earmv6hf:gtranslator-3.32.1nb7.tgz(NetBSD 9.0)
earmv7hf:gtranslator-3.32.1nb7.tgz(NetBSD 8.0)
earmv7hf:gtranslator-3.32.1nb3.tgz(NetBSD 8.0)
earmv7hf:gtranslator-3.32.1nb4.tgz(NetBSD 8.0)
earmv7hf:gtranslator-3.32.1nb7.tgz(NetBSD 9.0)
earmv7hf:gtranslator-3.32.1nb3.tgz(NetBSD 9.0)
earmv7hf:gtranslator-3.32.1nb4.tgz(NetBSD 9.0)
earmv7hf:gtranslator-3.32.1nb5.tgz(NetBSD 9.0)
earmv7hf:gtranslator-3.32.1nb7.tgz(NetBSD 9.0)
i386:gtranslator-3.32.1nb4.tgz(NetBSD 8.0)
i386:gtranslator-3.32.1nb5.tgz(NetBSD 8.0)
i386:gtranslator-3.32.1nb7.tgz(NetBSD 8.0)
i386:gtranslator-3.32.1nb4.tgz(NetBSD 9.0)
i386:gtranslator-3.32.1nb5.tgz(NetBSD 9.0)
i386:gtranslator-3.32.1nb7.tgz(NetBSD 9.0)
sparc64:gtranslator-3.32.1nb7.tgz(NetBSD 9.0)
sparc64:gtranslator-3.32.1nb5.tgz(NetBSD 9.0)
x86_64:gtranslator-3.32.1nb6.tgz(NetBSD 9.0)
x86_64:gtranslator-3.32.1nb7.tgz(NetBSD 9.0)
x86_64:gtranslator-3.32.1nb7.tgz(NetBSD 9.0)
x86_64:gtranslator-3.32.1nb5.tgz(NetBSD 9.0)
x86_64:gtranslator-3.32.1nb5.tgz(NetBSD 8.0)
x86_64:gtranslator-3.32.1nb4.tgz(NetBSD 8.0)
x86_64:gtranslator-3.32.1nb7.tgz(NetBSD 8.0)
x86_64:gtranslator-3.32.1nb4.tgz(NetBSD 9.0)
x86_64:gtranslator-3.32.1nb5.tgz(NetBSD 9.0)
x86_64:gtranslator-3.32.1nb7.tgz(NetBSD 9.0)
x86_64:gtranslator-3.32.1nb7.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]